i/* Finansbank Combobox skin */

/*global*/

.RadComboBox_FinansbankSkin,
.RadComboBox_FinansbankSkin .rcbInput,
.RadComboBoxDropDown_FinansbankSkin
{
	font: 12px Arial, sans-serif;
	color: #4a4949;
}

/* combobox */

.RadComboBox_FinansbankSkin.invalid .rcbInputCellLeft,
.RadComboBox_FinansbankSkin.invalid .rcbInputCellRight,
.RadComboBox_FinansbankSkin.invalid .rcbArrowCellLeft,
.RadComboBox_FinansbankSkin.invalid .rcbArrowCellRight
{   
	background-image: url('../../Images/Components/ComboBox/rcbFb_invalid.png');
}

.RadComboBox_FinansbankSkin .rcbInputCellLeft,
.RadComboBox_FinansbankSkin .rcbInputCellRight,
.RadComboBox_FinansbankSkin .rcbArrowCellLeft,
.RadComboBox_FinansbankSkin .rcbArrowCellRight
{   
	background-image: url('../../Images/Components/ComboBox/rcbFb.png');
}

.RadComboBox_FinansbankSkin td.rcbInputCellLeft { background-position: 0 0 !important; }
.RadComboBox_FinansbankSkin td.rcbInputCellRight { background-position: 100% 0; }

.RadComboBox_FinansbankSkin .rcbHovered .rcbInputCellLeft { background-position: 0 0 !important; }
.RadComboBox_FinansbankSkin .rcbHovered .rcbInputCellRight { background-position: 100% 0; }

.RadComboBox_FinansbankSkin .rcbFocused .rcbInputCellLeft { background-position: 0 0; }
.RadComboBox_FinansbankSkin .rcbFocused .rcbInputCellRight { background-position: 100% 0; }

.RadComboBox_FinansbankSkin .rcbHovered .rcbReadOnly td.rcbInputCellLeft { background-position: 0 0; }
.RadComboBox_FinansbankSkin .rcbHovered .rcbReadOnly td.rcbInputCellRight { background-position: 100% 0; }

.RadComboBox_FinansbankSkin .rcbFocused .rcbReadOnly td.rcbInputCellLeft { background-position: 0 0; }
.RadComboBox_FinansbankSkin .rcbFocused .rcbReadOnly td.rcbInputCellRight { background-position: 100% 0; }

.RadComboBox_FinansbankSkin .rcbInputCell .rcbEmptyMessage
{
    font-style:normal !important;
	color: #666;
}

.RadComboBox_FinansbankSkin .rcbHovered .rcbInputCell .rcbInput
{
	color: #8bb5c4;
	cursor:pointer;
}

.RadComboBox_FinansbankSkin td.rcbArrowCellLeft { background-position: -18px -88px; }
.RadComboBox_FinansbankSkin td.rcbArrowCellRight { background-position: 0 -88px; }

.RadComboBox_FinansbankSkin .rcbHovered .rcbArrowCellLeft { background-position: -54px -88px; cursor:pointer;}
.RadComboBox_FinansbankSkin .rcbHovered .rcbArrowCellRight { background-position: -36px -88px !important; cursor:pointer;}

.RadComboBox_FinansbankSkin .rcbFocused .rcbArrowCellLeft { background-position: -90px -88px; }
.RadComboBox_FinansbankSkin .rcbFocused .rcbArrowCellRight { background-position: -72px -88px !important; }

.RadComboBox_FinansbankSkin td.rcbArrowCellHidden,
.RadComboBox_FinansbankSkin .rcbHovered td.rcbArrowCellHidden,
.RadComboBox_FinansbankSkin .rcbFocused td.rcbArrowCellHidden { background-position: -15px -88px; cursor:pointer;}

.RadComboBox_FinansbankSkin_rtl td.rcbArrowCellHidden,
.RadComboBox_FinansbankSkin_rtl .rcbHovered td.rcbArrowCellHidden,
.RadComboBox_FinansbankSkin_rtl .rcbFocused td.rcbArrowCellHidden { background-position: -18px -88px; cursor:pointer;}

/* Read-only styles */

.RadComboBox_FinansbankSkin .rcbReadOnly td.rcbArrowCellLeft { background-position: -18px -88px; }
.RadComboBox_FinansbankSkin .rcbReadOnly td.rcbArrowCellRight { background-position: -2px -88px; }

.RadComboBox_FinansbankSkin .rcbHovered .rcbReadOnly .rcbArrowCellLeft { background-position: -54px -88px; }
.RadComboBox_FinansbankSkin .rcbHovered .rcbReadOnly .rcbArrowCellRight { background-position: -38px -88px; }

.RadComboBox_FinansbankSkin .rcbFocused .rcbReadOnly .rcbArrowCellLeft { background-position: -90px -88px; }
.RadComboBox_FinansbankSkin .rcbFocused .rcbReadOnly .rcbArrowCellRight { background-position: -74px -88px; }

.RadComboBox_FinansbankSkin .rcbReadOnly td.rcbArrowCellHidden { background-position: -15px -88px; }
.RadComboBox_FinansbankSkin .rcbHovered .rcbReadOnly td.rcbArrowCellHidden { background-position: -51px -88px; }
.RadComboBox_FinansbankSkin .rcbFocused .rcbReadOnly td.rcbArrowCellHidden { background-position: -87px -88px; }

.RadComboBox_FinansbankSkin_rtl .rcbReadOnly td.rcbArrowCellHidden { background-position: -18px -88px; }
.RadComboBox_FinansbankSkin_rtl .rcbHovered .rcbReadOnly td.rcbArrowCellHidden { background-position: -54px -88px; }
.RadComboBox_FinansbankSkin_rtl .rcbFocused .rcbReadOnly td.rcbArrowCellHidden { background-position: -90px -88px; }

/* dropdown */

.RadComboBoxDropDown_FinansbankSkin .rcbHeader,
.RadComboBoxDropDown_FinansbankSkin .rcbFooter,
.RadComboBoxDropDown_FinansbankSkin .rcbMoreResults a
{
	background-image: url('../../Images/Components/ComboBox/rcbFb.png');
}

.RadComboBoxDropDown_FinansbankSkin
{
	background: #f7f7f7;
	border-color: #CABFB7;
}

.RadComboBoxDropDown_FinansbankSkin .rcbHeader,
.RadComboBoxDropDown_FinansbankSkin .rcbFooter
{
	background-color: #f1f2f4;
	background-position: 0 -110px;
}

.RadComboBoxDropDown_FinansbankSkin .rcbHeader
{
	border-bottom-color: #d5d5d5;
}

.RadComboBoxDropDown_FinansbankSkin .rcbFooter
{
	border-top-color: #d5d5d5;
}

.RadComboBoxDropDown_FinansbankSkin .rcbItem em
{
	background: #e5e5e5;
}

.RadComboBoxDropDown_FinansbankSkin .rcbHovered
{
	background: #870052;
	color: #fff;
	cursor:pointer;
}

.RadComboBoxDropDown_FinansbankSkin .rcbCheckAllItems,
.RadComboBoxDropDown_FinansbankSkin .rcbCheckAllItemsHovered {
	color: #000000;
	background-color: #dbebf3;
}
.RadComboBoxDropDown_FinansbankSkin .rcbCheckAllItemsHovered {
	color: #000000;
}

.RadComboBoxDropDown_FinansbankSkin .rcbSeparator
{
    color: #666;
    background: #D3ECF9;
}

.RadComboBox_FinansbankSkin .rcbDisabled .rcbInputCell .rcbInput,
.RadComboBoxDropDown_FinansbankSkin .rcbDisabled
{
	color: #999;
}

.RadComboBox_FinansbankSkin .rcbDisabled td.rcbInputCellLeft { background-position: 0 -66px; }
.RadComboBox_FinansbankSkin .rcbDisabled td.rcbInputCellRight { background-position: 100% -66px; }
.RadComboBox_FinansbankSkin .rcbDisabled td.rcbArrowCellLeft { background-position: -126px -88px; }
.RadComboBox_FinansbankSkin .rcbDisabled td.rcbArrowCellRight { background-position: -108px -88px; }
.RadComboBox_FinansbankSkin .rcbDisabled .rcbReadOnly td.rcbArrowCellRight { background-position: -110px -88px; }
.RadComboBox_FinansbankSkin table.rcbDisabled td.rcbArrowCellHidden,
.RadComboBox_FinansbankSkin .rcbDisabled .rcbReadOnly td.rcbArrowCellHidden { background-position: -123px -88px; }
.RadComboBox_FinansbankSkin_rtl table.rcbDisabled td.rcbArrowCellHidden,
.RadComboBox_FinansbankSkin_rtl .rcbDisabled .rcbReadOnly td.rcbArrowCellHidden { background-position: -126px -88px; }

.RadComboBoxDropDown_FinansbankSkin .rcbLoading
{
	background: #f0f0f0;
}

.RadComboBoxDropDown_FinansbankSkin .rcbMoreResults
{
	border-top-color: #c6c7d2;
	background: #fff;
}

.RadComboBoxDropDown_FinansbankSkin .rcbMoreResults a
{
	background-position: -157px -94px;
}

.RadComboBoxDropDown_FinansbankSkin .rcbMoreResults a:hover
{
	background-position: -188px -94px;
}
